#ifndef MPX5010DP_H_INCLUDED
#define MPX5010DP_H_INCLUDED

#include "mbed.h"
#include "Thread.h"
#include "global.h"
#include "hardware.h"

#define MPX5010DP_BUF_SIZE 50  // Bei 15ms Intervall sind dies 750ms die zurückgeguckt werden

class TbumperSensor : public Thread
{
public:
    bool flagShowBumper;
    void setup();
    virtual void run();
    bool isBumperActivated();
private:
    bool _bumperActivated;
    float _buf[MPX5010DP_BUF_SIZE];
    float _deactivateThreshold;
};


#endif
